#define SIGEL_USE_ONLY


//#define SIGEL_DEVIL
//#define SIGEL_SOUND
//#define SIGEL_SCRIPT
//#define SIGEL_PHYSX
//#define SIGEL_NETWORK

#include <sigel/ISigel.h>


sGAME
{
	debug::startlog();

	int width = 1024,height = 768, fullscreen = 0, numfrases = 100;

	try
	{
	std::ifstream settings("config.ini");
	settings>>width;
	settings>>height;
	settings>>fullscreen;
	settings>>numfrases;
	settings.close();
	}
	catch(...)
	{
		Msg("   config.ini???");
	}

	Init(width,height,32,fullscreen,0);
	AppTitle("TextBenchmark");

	VWait(0);
	CameraHelper ch;

	TFont *fnt = new TFont("tahoma.txt");



	std::ifstream f("frases.txt");
	std::list<std::string> fraseslist;
	int cf = 0;
	char buff[255];
	while(!f.eof())
	{
		std::string a;
		f.getline(buff,255);
		a = buff;
		fraseslist.push_back(a);

		cf++;
	}

	std::string *frases = new std::string[cf];

	std::list<std::string>::const_iterator i;
	int ci=0;
	for(i = fraseslist.begin();i != fraseslist.end();++i)
	{
		frases[ci++] = (*i);
	}

	f.close();


	while(!KeyDown(VK_ESCAPE))
	{
		//3d
		ch.Update();
		Render();
		//2d
		fnt->StartDraw();
		for(int i=0;i<numfrases;++i)
		{
			Color(rand(0,255),rand(0,255),rand(0,255));

			int f = rand(0,cf-1);
			int w = fnt->GetWidth(frases[f].c_str());
			int x = rand(0,width - w);
			int y = rand(0,height - fnt->GetHeight());

			fnt->Text(frases[f].c_str(),x,y);

		}
		fnt->EndDraw();

		Color(255,255,255);
		fnt->Text(GetFPS(),10,10);
		//fnt->Text(cf,10,25);
		Flip();
	}

	DeInit();
	debug::endlog();
};